Package ghidra.util.database.spatial

# Enum Class DBTreeNodeRecord.NodeType

java.lang.Object
java.lang.Enum<DBTreeNodeRecord.NodeType>
ghidra.util.database.spatial.DBTreeNodeRecord.NodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBTreeNodeRecord.NodeType>`, `Constable`

Enclosing class:
  `DBTreeNodeRecord<NS extends BoundingShape<NS>>`

protected static enum DBTreeNodeRecord.NodeType extends Enum<DBTreeNodeRecord.NodeType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORY`
  `LEAF`
  `LEAF_PARENT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<DBTreeNodeRecord.NodeType>`
  `VALUES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract DBTreeNodeRecord.NodeType`
  `getParentType()`
  `boolean`
  `isDirectory()`
  `boolean`
  `isLeaf()`
  `boolean`
  `isLeafParent()`
  `static DBTreeNodeRecord.NodeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBTreeNodeRecord.NodeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIRECTORY

    public static final DBTreeNodeRecord.NodeType DIRECTORY

  - ### LEAF_PARENT

    public static final DBTreeNodeRecord.NodeType LEAF_PARENT

  - ### LEAF

    public static final DBTreeNodeRecord.NodeType LEAF

- ## Field Details

  - ### VALUES

    public static final List<DBTreeNodeRecord.NodeType> VALUES

- ## Method Details

  - ### values

    public static DBTreeNodeRecord.NodeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBTreeNodeRecord.NodeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isDirectory

    public boolean isDirectory()

  - ### isLeafParent

    public boolean isLeafParent()

  - ### isLeaf

    public boolean isLeaf()

  - ### getParentType

    public abstract DBTreeNodeRecord.NodeType getParentType()